Автор Тема: Напоминалка Rainlendar  (Прочитано 2279 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Сёмин

  • Местный житель
  • ***
  • Topic Author
  • Сообщений: 230
  • Debian 8.3 /64 /LXDE
Напоминалка Rainlendar
« : 16 Октябрь 2016, 19:32:32 »
Жаль, календарную тему закрыли, пришлось открыть новую.
Кто пользовался этим реминдером ?
Есть разновидности Rainlendar, Rainlendar2 и Rainlendar Pro, если кто пользовался, то какие впечатления и какой по вашему мнению лучше?

И есть ли они в репозитариях Debian? (чтобы не скачивать с офсайта).

Cообщение объединено 17 Октябрь 2016, 01:06:47
Никто, получается. Ладно, тогда хоть помогите его установить, а то при попытке установки версии под Debian (!)
rainlendar2-lite_2.13.1.b147-1_amd64.deb
сходу выскочила ошибка отсутствия библиотеки libjpeg8

Искал ее, искал, да наткнулся на сообщение, в котором сказано, что libjpeg8 временно удалена из Jessie:
Цитировать
Rainlendar2 v2.12.2.b138 and Debian Jessie
Posted by rainman - 2015/03/25 03:34
_____________________________________
Rainlendar2 currently will not run on Debian Jessie due to libjpeg8 unavailability in the Jessie repo. Hopefully, this is just
a temporary issue.
I'm getting the following error message when attempting to run Rainlendar2 from terminal:
rainlendar2: error while loading shared libraries: libjpeg.so.8: cannot open shared object file: No such file or directory
20150326-01 edit: I haven't tested all prior versions of Rainlendar, but I'm thinking that no prior version of Rainlendar will
work under Debian Jessie.
 I'm currently running Rainlendar v2.9.b111 under Debian Wheezy and libjpeg8 is used.
Based on a thread I read earlier, libjpeg8 is to be replaced. Unfortunately, due to forum rules I'm not able to post
external links yet.

Сообщение, конечно. старое, но ведь и здесь, в свежих новостях, говорится о том же?
https://packages.qa.debian.org/libj/libjpeg8.html
По крайней мере  libjpeg8 мне найти так и  не удалось).

Более того, ответ к этом сообщение был такой:

Цитировать
Re:Rainlendar2 v2.12.2.b138 and Debian Jessie
Posted by rainman - 2015/05/09 23:26
_____________________________________
Well, I was able to obtain a backported copy of libjpeg8 only to discover that Rainlender2 also relies on librtmp, which
has been updated to librtmp1 in Debian Jessie. I guess I'll have to just wait for the release of Rainlendar2 v2.13.
Edit: Okay, I downloaded and installed v2.13.b143 Beta and it works fine on Debian Jessie if you have libjpeg8. I found
the backported copy of libjpeg8 here.
т.е. для этого календаря надо еще и librtmp, но которая в репах вроде есть в 2-х видах - librtmp1 и librtmp-dev, может какая-то и сгодится.

Прошу помощи в розыске libjpeg8








« Последнее редактирование: 17 Октябрь 2016, 01:37:30 от Сёмин »
(c) Когда для дистрибутива, в котором полно готовых пакетов, предлагают компиляцию, рука сама тянется к пистолету  >:(
 

Оффлайн dimsat1

  • # Linux user
  • Местный житель
  • ***
  • Сообщений: 173
  • На компах установлены правильные ОСы(debian)
Re: Напоминалка Rainlendar
« Ответ #1 : 17 Октябрь 2016, 02:20:15 »
debian(jessie) ...DE_Mate... LINUX - FOREVER!
Sams Smart IPTV nStreamLmod_v.3.х
 

Оффлайн Aalexeey

  • Местный житель
  • ***
  • Сообщений: 418
  • ASUS_Q400A, Winmate_I771 GTK2/Qt4_MATE
« Последнее редактирование: 17 Октябрь 2016, 11:38:06 от Aalexeey »
https://debianforum.ru/index.php?topic=6879 100% защиты от "Ааааа у меня всё поломалось"
 


Оффлайн Сёмин

  • Местный житель
  • ***
  • Topic Author
  • Сообщений: 230
  • Debian 8.3 /64 /LXDE
Re: Напоминалка Rainlendar
« Ответ #3 : 17 Октябрь 2016, 16:38:04 »
Спасибо! Но их тут оказалось так много, что теперь проблема какую надо выбрать ;)
У меня Debian 8/64 Jessie, какую надо брать?

И еще хочу понять - эти ссылки  получается что - не на репозитарий, а просто на свалку бинарников, которые не вошли в репо?
(c) Когда для дистрибутива, в котором полно готовых пакетов, предлагают компиляцию, рука сама тянется к пистолету  >:(
 

Оффлайн dimsat1

  • # Linux user
  • Местный житель
  • ***
  • Сообщений: 173
  • На компах установлены правильные ОСы(debian)
Re: Напоминалка Rainlendar
« Ответ #4 : 17 Октябрь 2016, 16:49:16 »
Сёмин, они подписны с концовкой *i386.deb(сам пакет-то проги i386).
Только эту libjpeg8_8d1-2_i386 зависисость, потом саму прогу. Всё поставилось, всё работает :D
картинка: ShowHide

Репозитории. Только из sid или wheezy.
В репозиториях Jessie она отсутствует.

« Последнее редактирование: 17 Октябрь 2016, 17:09:10 от dimsat1 »
debian(jessie) ...DE_Mate... LINUX - FOREVER!
Sams Smart IPTV nStreamLmod_v.3.х
 

Оффлайн ferum

  • Ветеран
  • *****
  • Сообщений: 3420
  • Buster TDE & Buster LXDE & stretch KDE
Re: Напоминалка Rainlendar
« Ответ #5 : 17 Октябрь 2016, 17:34:06 »
Детский сад штаны на лямках.... даже если вы соберёте этот пакет libjpeg8 их исходников он будет конфликтовать с половиной системы. Софтина ваша проприаретарная исходников нет значит пересобрать её по человечески не получится. Можно попробовать умеренно рискованный способ установки.... это если полностью отдавать себе отчёт в затеваемом процессе.
1) рабираем проприаретарный пакет , смотрим все зависимостит, если дело только в libjpeg8 убираем её на фиг, собираем его обратно  и вкорячиваем в систему через dpkg . Однако ясно что программа без нужных либок не запустится .
2) воруем у убунтойдов http://packages.ubuntu.com/trusty/libjpeg8 думаю от 14.04 и разбираем его, хорошо подумав и взвесив пихаем через  mc содержимое пакета в дерево каталогов.
Возможно лучше начать со второго пункта.... но если система единственная и дорога я бы не стал....
[ot]хотя я то бы запросто....побираясь по "компьютерным помойкам" нажил пару плохоньких винтов на которых творю эксперименты...поставить, настроить и убить систему за вечер для меня нормальная практика. Экземпляр centos 7  настроил час назад уже в 6й или 7й раз , после завтра или уже заработает  mythtv  со своими дурацкими  database в  mariadb или системае ещё раз умрёт  :D  Прикол в том что с самого первого раза у меня всё получилось но стремление к совершенству бесконечно.[/ot]
Русские дебианщики против цифрового слабоумия !
 

Оффлайн Сёмин

  • Местный житель
  • ***
  • Topic Author
  • Сообщений: 230
  • Debian 8.3 /64 /LXDE
Re: Напоминалка Rainlendar
« Ответ #6 : 17 Октябрь 2016, 18:27:37 »
Теперь уж точно запутали  ;D
Во-первых, у меня /64, поэтому *i386.deb не станет.
Во-вторых, я ничего не собирался компилировать (ужас!).
Поэтому просьба дать точное название нужного пакета под 64-битовую систему.

Почему так подробно распрашиваю - потому что берегу систему и не хочу рисковать, замусоривая ее случайными установками (а тем более компиляциями).
« Последнее редактирование: 17 Октябрь 2016, 18:30:19 от Сёмин »
(c) Когда для дистрибутива, в котором полно готовых пакетов, предлагают компиляцию, рука сама тянется к пистолету  >:(
 

Оффлайн ferum

  • Ветеран
  • *****
  • Сообщений: 3420
  • Buster TDE & Buster LXDE & stretch KDE
Re: Напоминалка Rainlendar
« Ответ #7 : 17 Октябрь 2016, 19:27:55 »
Сёмин, Я тут поразмыслил можно наверное чужеродных файлов в систему не пихать, сделать проще. Первый пункт оставляем в силе т.е. скачиваем rainlendar2-lite_2.13.1.b147-1_amd64.deb разбираем его , изменяем зависимость libjpeg8 на libjpeg62-turbo, собираем через dpkg -b тот же самый пакет и спокойно устанавливаем его.
Вместо второго пункта смотрим https://packages.debian.org/ru/wheezy/amd64/libjpeg8/filelist и https://packages.debian.org/ru/jessie/amd64/libjpeg62-turbo/filelist по ходу всё что нам осталось сделать два симлинка.
Это теория, практика покажет, в крайнем случае пакет можно будет удалить практически без последствий.
Русские дебианщики против цифрового слабоумия !
 

Оффлайн dimsat1

  • # Linux user
  • Местный житель
  • ***
  • Сообщений: 173
  • На компах установлены правильные ОСы(debian)
Re: Напоминалка Rainlendar
« Ответ #8 : 17 Октябрь 2016, 21:08:26 »
ferum,
Во-первых, у меня /64, поэтому *i386.deb не станет.
на мультиарх станет..
Ладно, не об этом.. у тебя-ж не мульти а 64.
если система 64 и хочешь поставить пакет rainlendar2-lite_2.13.1.b147-1_amd64.deb, который требует зависимость libjpeg8, то качай libjpeg8_8d1-2_amd64.deb, устанавливай его первым а потом за ним пробуй ставить rainlendar2-lite_2.13.1.b147-1_amd64.deb.
 :)

« Последнее редактирование: 17 Октябрь 2016, 21:10:19 от dimsat1 »
debian(jessie) ...DE_Mate... LINUX - FOREVER!
Sams Smart IPTV nStreamLmod_v.3.х
 

Оффлайн ferum

  • Ветеран
  • *****
  • Сообщений: 3420
  • Buster TDE & Buster LXDE & stretch KDE
Re: Напоминалка Rainlendar
« Ответ #9 : 17 Октябрь 2016, 22:06:09 »
dimsat1, если вы сами этого не сделали не советуйте, пакет выпилен из репозитория не просто так, по любому будет конфликт. Скорее всего он был в jessie на ранней стадии тестирования, когда дистрибутив большей частью использовал пакетную базу wheezy. Если даже каким то чудесным образом этот пакет установится ущерб системе будет нанесён значительный.
Русские дебианщики против цифрового слабоумия !
 

Оффлайн dimsat1

  • # Linux user
  • Местный житель
  • ***
  • Сообщений: 173
  • На компах установлены правильные ОСы(debian)
Re: Напоминалка Rainlendar
« Ответ #10 : 17 Октябрь 2016, 22:17:20 »
ferum, вот я писал, ставил и картинку даже прикрепил :)
debian(jessie) ...DE_Mate... LINUX - FOREVER!
Sams Smart IPTV nStreamLmod_v.3.х
 

Оффлайн Сёмин

  • Местный житель
  • ***
  • Topic Author
  • Сообщений: 230
  • Debian 8.3 /64 /LXDE
Re: Напоминалка Rainlendar
« Ответ #11 : 17 Октябрь 2016, 22:34:53 »
По вашему совету установил:
- сначала libjpeg8_8d1-2_amd64.deb
- благодаря ей теперь установилась rainlendar2-lite_2.13.1.b147-1_amd64.deb
И даже взлетела!  :D

Теперь глянем, что это за реминдер такой ... очередной (все перебранные до этого ушли фтопку как бесполезные)

Всем огромное спасибо за помощь!  :-*


PS. Одного не понял - почему libjpeg8 в Jessie постигла такая печальная судьба?
Никак не вылезет из тестов и не попадет в репы.
(c) Когда для дистрибутива, в котором полно готовых пакетов, предлагают компиляцию, рука сама тянется к пистолету  >:(
 

Оффлайн dimsat1

  • # Linux user
  • Местный житель
  • ***
  • Сообщений: 173
  • На компах установлены правильные ОСы(debian)
Re: Напоминалка Rainlendar
« Ответ #12 : 17 Октябрь 2016, 22:43:11 »
Сёмин, может про неё забыли, а может она конфликтует с чем-то и её спецом из стаба убрали. :)
debian(jessie) ...DE_Mate... LINUX - FOREVER!
Sams Smart IPTV nStreamLmod_v.3.х
 

Оффлайн ferum

  • Ветеран
  • *****
  • Сообщений: 3420
  • Buster TDE & Buster LXDE & stretch KDE
Re: Напоминалка Rainlendar
« Ответ #13 : 18 Октябрь 2016, 18:19:55 »
- почему libjpeg8 в Jessie постигла такая печальная судьба?
Всё просто, есть виртуальный пакет libjpeg и он обязателен но по жизни он может быть представлен в debian/ubuntu вариациями   libjpeg8 libjipeg8-turbo libjpeg62 libjpeg62-turbo Между собой они конфликтуют. LXDE  видимо не зависит от этих пакетов, будь у вас гном или кеды , вряд ли бы этот левый пакет удалось бы установить и сейчас вы сломали зависимости , не удивляйтесь если  вам потребуется некая прога из репозитория. которая зависит от libjpeg62-turbo она просто не встанет.
Русские дебианщики против цифрового слабоумия !
 


Теги: